## qjackctl 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-project(qjackctl)
-
-cmake_minimum_required(VERSION 3.1)
-
-set (VERSION "0.9.0")
-
-set (CONFIG_VERSION ${VERSION})
+cmake_minimum_required(VERSION 3.10)
+
+project(qjackctl
+  VERSION 0.9.1
+  DESCRIPTION "JACK Audio Connection Kit Qt GUI Interface"
+  LANGUAGES C CXX)
+
+set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
   COMMAND git describe --tags --dirty --abbrev=6
   OUTPUT_VARIABLE GIT_DESCRIBE_OUTPUT
@@ -23,6 +24,8 @@
   if (GIT_REVPARSE_RESULT EQUAL 0 AND NOT GIT_REVPARSE_OUTPUT STREQUAL "master")
     set (VERSION "${VERSION} [${GIT_REVPARSE_OUTPUT}]")
   endif ()
+else ()
+  set (VERSION "${PROJECT_VERSION}")
 endif ()
 
 set (PACKAGE_NAME "QjackCtl")
@@ -129,7 +132,7 @@
 find_package (PkgConfig REQUIRED)
 
 # Check for JACK libraries.
-pkg_check_modules (JACK REQUIRED jack>=0.100.0)
+pkg_check_modules (JACK REQUIRED IMPORTED_TARGET jack>=0.100.0)
 if (JACK_FOUND)
   set (CONFIG_JACK 1)
   include_directories (${JACK_INCLUDE_DIRS})
@@ -195,7 +198,7 @@
 
 # Check for ALSA libraries.
 if (CONFIG_ALSA_SEQ)
-  pkg_check_modules (ALSA alsa)
+  pkg_check_modules (ALSA IMPORTED_TARGET alsa)
   if (ALSA_FOUND)
     include_directories (${ALSA_INCLUDE_DIRS})
     link_directories (${ALSA_LIBRARY_DIRS})
@@ -209,7 +212,7 @@
 
 # Check for PORTAUDIO libraries.
 if (CONFIG_PORTAUDIO)
-  pkg_check_modules (PORTAUDIO portaudio-2.0)
+  pkg_check_modules (PORTAUDIO IMPORTED_TARGET portaudio-2.0)
   if (PORTAUDIO_FOUND)
     include_directories (${PORTAUDIO_INCLUDE_DIRS})
     link_directories (${PORTAUDIO_LIBRARY_DIRS})
