=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,14 @@
 # project(qjackctl)
 
-include_directories (
-  ${CMAKE_CURRENT_BINARY_DIR}
-  ${CMAKE_CURRENT_SOURCE_DIR}
-)
+set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
+set(CMAKE_AUTOUIC ON)
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
+
+if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+    file(REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+endif()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 set (HEADERS
@@ -98,10 +102,11 @@
 	translations/qjackctl_uk.ts
 )
 
-qt_wrap_ui (UI_SOURCES ${FORMS})
-qt_wrap_cpp (MOC_SOURCES ${HEADERS})
-qt_add_resources (QRC_SOURCES ${RESOURCES})
-qt_add_translation (QM_FILES ${TRANSLATIONS})
+if (QT_VERSION VERSION_LESS 5.15.0)
+  qt5_add_translation (QM_FILES ${TRANSLATIONS})
+else ()
+  qt_add_translation (QM_FILES ${TRANSLATIONS})
+endif ()
 
 add_custom_target (translations ALL DEPENDS ${QM_FILES})
 
@@ -128,10 +133,10 @@
 
 
 add_executable (${PROJECT_NAME}
-  ${UI_SOURCES}
-  ${MOC_SOURCES}
-  ${QRC_SOURCES}
+  ${HEADERS}
   ${SOURCES}
+  ${FORMS}
+  ${RESOURCES}
 )
 
 set_target_properties (${PROJECT_NAME} PROPERTIES CXX_STANDARD 17)
@@ -155,15 +160,15 @@
 endif ()
 
 if (CONFIG_JACK)
-  target_link_libraries (${PROJECT_NAME} PRIVATE ${JACK_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::JACK)
 endif ()
 
 if (CONFIG_ALSA_SEQ)
-  target_link_libraries (${PROJECT_NAME} PRIVATE ${ALSA_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::ALSA)
 endif ()
 
 if (CONFIG_PORTAUDIO)
-  target_link_libraries (${PROJECT_NAME} PRIVATE ${PORTAUDIO_LIBRARIES})
+  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::PORTAUDIO)
 endif ()
