=== debian/changelog ===
qjackctl (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Fix spelling error
  * Add d/lintian-overrides
  * Update d/copyright year

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 08 Feb 2021 18:22:27 +0100
