=== debian/changelog ===
qjackctl (0.9.4-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 05 Oct 2021 00:51:54 -0400

qjackctl (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Bump Standards-Version to 4.6.0
  * Build with cmake
  * Add qttools5-dev to B-D
  * d/rules: Export QT_SELECT=qt5
  * Atm debian archive has no qt6, we compile with --disable-qt6
  * Drop spelling error patch, applied by upstream

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 23 Aug 2021 21:41:59 +0200
