## qjackctl 0.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,11 @@
 cmake_minimum_required (VERSION 3.13)
 
 project (qjackctl
-  VERSION 0.9.4
+  VERSION 0.9.5
   DESCRIPTION "JACK Audio Connection Kit Qt GUI Interface"
   LANGUAGES C CXX)
+
+list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 
 set (CONFIG_VERSION ${PROJECT_VERSION})
 execute_process (
@@ -94,6 +96,9 @@
 # Enable PortAudio argument option.
 option (CONFIG_PORTAUDIO "Enable PortAudio interface (default=yes)" 1)
 
+# Enable CoreAudio argument option.
+option (CONFIG_COREAUDIO "Enable CoreAudio interface (default=yes)" 1)
+
 # Enable D-Bus argument option.
 option (CONFIG_DBUS "Enable D-Bus interface (default=yes)" 1)
 
@@ -106,6 +111,9 @@
 
 # Enable Qt6 build preference.
 option (CONFIG_QT6 "Enable Qt6 build (default=yes)" 1)
+
+# Enable install QT DLLs for Windows targets using windeployqt.
+option (CONFIG_INSTALL_QT "Install Qt for MacOS and Windows targets (default=no)" 0)
 
 
 # Fix for new CMAKE_REQUIRED_LIBRARIES policy.
@@ -130,11 +138,19 @@
 find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Gui Widgets Xml)
 
 if (CONFIG_XUNIQUE)
-  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Network)
+  find_package (Qt${QT_VERSION_MAJOR} COMPONENTS Network)
+  if (NOT Qt${QT_VERSION_MAJOR}Network_FOUND)
+    message (WARNING "*** QT Network library not found.")
+    set (CONFIG_XUNIQUE 0)
+  endif ()
 endif ()
 
 if (CONFIG_DBUS)
-  find_package (Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
+  find_package (Qt${QT_VERSION_MAJOR} COMPONENTS DBus)
+  if (NOT Qt${QT_VERSION_MAJOR}DBus_FOUND)
+    message (WARNING "*** QT DBus library not found.")
+    set (CONFIG_DBUS 0)
+  endif ()
 endif ()
 
 find_package (Qt${QT_VERSION_MAJOR}LinguistTools)
@@ -142,8 +158,8 @@
 include (CheckIncludeFile)
 include (CheckIncludeFiles)
 include (CheckIncludeFileCXX)
-include (CheckFunctionExists)
 include (CheckLibraryExists)
+include (CheckSymbolExists)
 
 # Checks for header files.
 if (UNIX AND NOT APPLE)
@@ -152,82 +168,78 @@
 
 
 # Find package modules
-include (FindPkgConfig)
-
-# Check for JACK libraries.
-pkg_check_modules (JACK REQUIRED IMPORTED_TARGET jack>=0.100.0)
-if (JACK_FOUND)
-  find_library(JACK_LIBRARY NAMES ${JACK_LIBRARIES} HINTS ${JACK_LIBDIR})
-endif ()
-if (JACK_LIBRARY)
-  set (CONFIG_JACK 1)
-  set (CMAKE_REQUIRED_LIBRARIES "${JACK_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
-  # Check for jack/statistics.h header.
-  check_include_file (jack/statistics.h HAVE_JACK_STATISTICS_H)
-  if (NOT HAVE_JACK_STATISTICS_H)
-    set (CONFIG_JACK_STATISTICS 0)
-  else ()
-    set (CONFIG_JACK_STATISTICS 1)
-  endif ()
-  # Check for JACK MIDI headers availability.
-  if (CONFIG_JACK_MIDI)
-    check_include_file (jack/midiport.h HAVE_JACK_MIDIPORT_H)
-    if (NOT HAVE_JACK_MIDIPORT_H)
-      set (CONFIG_JACK_MIDI 0)
-    endif ()
-  endif ()
-  # Check for JACK session headers availability.
-  if (CONFIG_JACK_SESSION)
-    check_include_file (jack/session.h HAVE_JACK_SESSION_H)
-    if (NOT HAVE_JACK_SESSION_H)
-      set (CONFIG_JACK_SESSION 0)
-    endif ()
-  endif ()
-  # Check for JACK metadata headers availability.
-  if (CONFIG_JACK_METADATA)
-    check_include_file (jack/metadata.h HAVE_JACK_METADATA_H)
-    if (NOT HAVE_JACK_METADATA_H)
-      set (CONFIG_JACK_METADATA 0)
-    endif ()
-  endif ()
-  if (NOT CONFIG_JACK_METADATA)
-      set (CONFIG_JACK_CV  0)
-      set (CONFIG_JACK_OSC 0)
-  endif ()
-  # Check for jack_transport_query function.
-  check_function_exists (jack_transport_query CONFIG_JACK_TRANSPORT)
-  # Check for jack_is_realtime function.
-  check_function_exists (jack_is_realtime CONFIG_JACK_REALTIME)
-  # Check for jack_get_xrun_delayed_usecs function.
-  check_function_exists (jack_get_xrun_delayed_usecs CONFIG_JACK_XRUN_DELAY)
-  # Check for jack_get_max_delayed_usecs function.
-  check_function_exists (jack_get_max_delayed_usecs CONFIG_JACK_MAX_DELAY)
-  # Check for jack_set_port_rename_callback
-  check_function_exists (jack_set_port_rename_callback CONFIG_JACK_PORT_RENAME)
-  # Check for jack_port_get_aliases function.
-  if (CONFIG_JACK_PORT_ALIASES)
-    check_function_exists (jack_port_get_aliases CONFIG_JACK_PORT_ALIASES)
-  endif ()
-  # Check for jack_get_version_string function.
-  if (CONFIG_JACK_VERSION)
-    check_function_exists (jack_get_version_string CONFIG_JACK_VERSION)
-  endif ()
-  # Check for jack_free function.
-  check_function_exists (jack_free CONFIG_JACK_FREE)
-else ()
-  message (FATAL_ERROR "*** JACK library not found.")
-  set (CONFIG_JACK 0)
+find_package (Jack REQUIRED)
+set (CONFIG_JACK 1)
+set (CMAKE_REQUIRED_LIBRARIES "${Jack_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+set (CMAKE_REQUIRED_INCLUDES "${Jack_INCLUDE_DIRS};${CMAKE_REQUIRED_INCLUDES}")
+# Check for jack/statistics.h header.
+check_include_file (jack/statistics.h HAVE_JACK_STATISTICS_H)
+if (NOT HAVE_JACK_STATISTICS_H)
+  set (CONFIG_JACK_STATISTICS 0)
+else ()
+  set (CONFIG_JACK_STATISTICS 1)
+endif ()
+# Check for JACK MIDI headers availability.
+if (CONFIG_JACK_MIDI)
+  check_include_file (jack/midiport.h HAVE_JACK_MIDIPORT_H)
+  if (NOT HAVE_JACK_MIDIPORT_H)
+    set (CONFIG_JACK_MIDI 0)
+  endif ()
+endif ()
+# Check for JACK session headers availability.
+if (CONFIG_JACK_SESSION)
+  check_include_file (jack/session.h HAVE_JACK_SESSION_H)
+  if (NOT HAVE_JACK_SESSION_H)
+    set (CONFIG_JACK_SESSION 0)
+  endif ()
+endif ()
+# Check for JACK metadata headers availability.
+if (CONFIG_JACK_METADATA)
+  check_include_file (jack/metadata.h HAVE_JACK_METADATA_H)
+  if (NOT HAVE_JACK_METADATA_H)
+    set (CONFIG_JACK_METADATA 0)
+  endif ()
+endif ()
+if (NOT CONFIG_JACK_METADATA)
+  set (CONFIG_JACK_CV  0)
+  set (CONFIG_JACK_OSC 0)
+endif ()
+# Check for jack_is_realtime function.
+check_symbol_exists (jack_is_realtime "jack/jack.h" CONFIG_JACK_REALTIME)
+# Check for jack_free function.
+check_symbol_exists (jack_free "jack/jack.h" CONFIG_JACK_FREE)
+# Check for jack_set_port_rename_callback
+check_symbol_exists (jack_set_port_rename_callback "jack/jack.h" CONFIG_JACK_PORT_RENAME)
+# Check for jack_transport_query function.
+check_symbol_exists (jack_transport_query "jack/transport.h" CONFIG_JACK_TRANSPORT)
+# Check for jack_get_xrun_delayed_usecs function.
+check_symbol_exists (jack_get_xrun_delayed_usecs "jack/statistics.h" CONFIG_JACK_XRUN_DELAY)
+# Check for jack_get_max_delayed_usecs function.
+check_symbol_exists (jack_get_max_delayed_usecs "jack/statistics.h" CONFIG_JACK_MAX_DELAY)
+
+# Check for jack_port_get_aliases function.
+if (CONFIG_JACK_PORT_ALIASES)
+  check_symbol_exists (jack_port_get_aliases "jack/jack.h" HAVE_JACK_PORT_ALIASES)
+  if (NOT HAVE_JACK_PORT_ALIASES)
+    set (CONFIG_JACK_PORT_ALIASES 0)
+  endif ()
+endif ()
+
+# Check for jack_get_version_string function.
+if (CONFIG_JACK_VERSION)
+  check_symbol_exists (jack_get_version_string "jack/jack.h" HAVE_JACK_VERSION)
+  if (NOT HAVE_JACK_VERSION)
+    set (CONFIG_JACK_VERSION 0)
+  endif ()
 endif ()
 
 # Check for ALSA libraries.
 if (CONFIG_ALSA_SEQ)
-  pkg_check_modules (ALSA IMPORTED_TARGET alsa)
+  find_package (ALSA)
   if (ALSA_FOUND)
-    find_library(ALSA_LIBRARY NAMES ${ALSA_LIBRARIES} HINTS ${ALSA_LIBDIR})
-  endif ()
-  if (ALSA_LIBRARY)
     set (CONFIG_ALSA_SEQ 1)
-    set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
+    set (CMAKE_REQUIRED_LIBRARIES "${ALSA_LIBRARIES};${CMAKE_REQUIRED_LIBRARIES}")
+    set (CMAKE_REQUIRED_INCLUDES "${ALSA_INCLUDE_DIRS};${CMAKE_REQUIRED_INCLUDES}")
   else ()
     message (WARNING "*** ALSA library not found.")
     set (CONFIG_ALSA_SEQ 0)
@@ -236,11 +248,8 @@
 
 # Check for PORTAUDIO libraries.
 if (CONFIG_PORTAUDIO)
-  pkg_check_modules (PORTAUDIO IMPORTED_TARGET portaudio-2.0)
-  if (PORTAUDIO_FOUND)
-    find_library(PORTAUDIO_LIBRARY NAMES ${PORTAUDIO_LIBRARIES} HINTS ${PORTAUDIO_LIBDIR})
-  endif ()
-  if (PORTAUDIO_LIBRARY)
+  find_package (PortAudio)
+  if (PortAudio_FOUND)
     set (CONFIG_PORTAUDIO 1)
    #set (CMAKE_REQUIRED_LIBRARIES "${PORTAUDIO_LIBRARY};${CMAKE_REQUIRED_LIBRARIES}")
   else ()
@@ -250,9 +259,13 @@
 endif ()
 
 
-if (APPLE AND CONFIG_COREAUDIO)
-  check_include_file (CoreAudio/CoreAudio.h HAVE_COREAUDIO_H)
-  if (NOT HAVE_COREAUDIO_H)
+if (CONFIG_COREAUDIO)
+  if (APPLE)
+    check_include_file ("CoreAudio/CoreAudio.h" HAVE_COREAUDIO_H)
+    find_library(CORE_FOUNDATION_LIBRARY CoreFoundation)
+    find_library(CORE_AUDIO_LIBRARY CoreAudio)
+  endif ()
+  if (NOT APPLE OR NOT HAVE_COREAUDIO_H OR NOT CORE_FOUNDATION_LIBRARY OR NOT CORE_AUDIO_LIBRARY)
     set (CONFIG_COREAUDIO 0)
   endif ()
 endif ()
@@ -260,10 +273,20 @@
 
 add_subdirectory (src)
 
-configure_file (qjackctl.spec.in qjackctl.spec IMMEDIATE @ONLY)
-
-install (FILES qjackctl.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
-install (FILES qjackctl.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qjackctl.1)
+if (NOT WIN32)
+  configure_file (qjackctl.spec.in qjackctl.spec IMMEDIATE @ONLY)
+
+  install (FILES qjackctl.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
+  install (FILES qjackctl.fr.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/fr/man1 RENAME qjackctl.1)
+endif ()
+
+if (WIN32)
+  set(CPACK_GENERATOR ZIP)
+else ()
+  set(CPACK_GENERATOR TGZ)
+endif ()
+
+include(CPack)
 
 # Configuration status
 macro (SHOW_OPTION text value)
@@ -298,5 +321,7 @@
 show_option ("  System tray icon support . . . . . . . . . . . . ." CONFIG_SYSTEM_TRAY)
 show_option ("  Unique/Single instance support . . . . . . . . . ." CONFIG_XUNIQUE)
 show_option ("  Debugger stack-trace (gdb) . . . . . . . . . . . ." CONFIG_STACKTRACE)
+show_option ("  Install Qt on MacOS / Windows  . . . . . . . . . ." CONFIG_INSTALL_QT)
 message   ("\n  Install prefix . . . . . . . . . . . . . . . . . .: ${CONFIG_PREFIX}")
 message   ("\nNow type 'make', followed by 'make install' as root.\n")
+
