=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set (CMAKE_AUTORCC ON)
 
 if (EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
-    file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
+  file (REMOVE ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
 endif ()
 configure_file (cmake_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
@@ -95,6 +95,7 @@
 	translations/qjackctl_fr.ts
 	translations/qjackctl_it.ts
 	translations/qjackctl_ja.ts
+	translations/qjackctl_ko.ts
 	translations/qjackctl_nl.ts
 	translations/qjackctl_pt.ts
 	translations/qjackctl_ru.ts
@@ -110,28 +111,6 @@
 
 add_custom_target (translations ALL DEPENDS ${QM_FILES})
 
-if (WIN32)
-  set (RC_FILE ${CMAKE_CURRENT_SOURCE_DIR}/win32/${PROJECT_NAME}.rc)
-  set (RES_FILE ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.res.obj)
-  find_program (WINDRES_EXECUTABLE NAMES windres mingw32-windres i686-mingw32-windres)
-  if (MINGW)
-    exec_program (${WINDRES_EXECUTABLE}
-      ARGS "-i ${RC_FILE} -o ${RES_FILE} --include-dir=${CMAKE_CURRENT_SOURCE_DIR}/images")
-    list (APPEND SOURCES ${RES_FILE})
-  else ()
-    list (APPEND SOURCES ${RC_FILE})
-  endif ()
-endif ()
-
-if (APPLE)
-  set (ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/${PROJECT_NAME}.icns)
-  list (APPEND SOURCES ${ICON_FILE})
-  set (MACOSX_BUNDLE_ICON_FILE ${PROJECT_NAME}.icns)
-  set_source_files_properties (${ICON_FILE} PROPERTIES
-    MACOSX_PACKAGE_LOCATION Resources)
-endif ()
-
-
 add_executable (${PROJECT_NAME}
   ${HEADERS}
   ${SOURCES}
@@ -149,6 +128,7 @@
 
 if (WIN32)
   set_target_properties (${PROJECT_NAME} PROPERTIES WIN32_EXECUTABLE true)
+  target_compile_definitions (${PROJECT_NAME} PUBLIC _USE_MATH_DEFINES)
 endif ()
 
 if (APPLE)
@@ -166,15 +146,19 @@
 endif ()
 
 if (CONFIG_JACK)
-  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::JACK)
+  target_link_libraries (${PROJECT_NAME} PRIVATE Jack::Jack)
 endif ()
 
 if (CONFIG_ALSA_SEQ)
-  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::ALSA)
+  target_link_libraries (${PROJECT_NAME} PRIVATE ALSA::ALSA)
 endif ()
 
 if (CONFIG_PORTAUDIO)
-  target_link_libraries (${PROJECT_NAME} PRIVATE PkgConfig::PORTAUDIO)
+  target_link_libraries (${PROJECT_NAME} PRIVATE PortAudio::PortAudio)
+endif ()
+
+if (CONFIG_COREAUDIO)
+  target_link_libraries (${PROJECT_NAME} PRIVATE ${CORE_FOUNDATION_LIBRARY} ${CORE_AUDIO_LIBRARY})
 endif ()
 
 
@@ -191,12 +175,74 @@
      DESTINATION ${CMAKE_INSTALL_DATADIR}/icons/hicolor/scalable/apps)
   install (FILES appdata/${PROJECT_NAME}.appdata.xml
      DESTINATION ${CMAKE_INSTALL_DATADIR}/metainfo)
-endif ()
-
-if (WIN32)
-   install (TARGETS ${PROJECT_NAME} RUNTIME
-     DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
-   install (FILES ${QM_FILES}
-     DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)
-endif ()
-
+elseif (APPLE)
+  # Generate bundle on MacOS with QjackCtl.icns as the icon and a custom Info.plist file.
+  target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/images/QjackCtl.icns)
+  set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/images/QjackCtl.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
+  set_target_properties(${PROJECT_NAME} PROPERTIES
+    MACOSX_BUNDLE True
+    OUTPUT_NAME QjackCtl
+    MACOSX_RPATH ON
+    INSTALL_RPATH @executable_path/../Frameworks
+    MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/appdata/Info.plist
+  )
+  install (TARGETS ${PROJECT_NAME} BUNDLE
+     DESTINATION ${CMAKE_INSTALL_BINDIR})
+elseif (WIN32)
+  install (TARGETS ${PROJECT_NAME} RUNTIME
+     DESTINATION .)
+  # Use same path as windeployqt for translations
+  install (FILES ${QM_FILES}
+     DESTINATION translations)
+endif ()
+
+
+if (WIN32 AND CONFIG_INSTALL_QT)
+  get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
+  get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
+  set (QT_WINDEPLOYQT "${_qt_bin_dir}/windeployqt.exe")
+
+  if (EXISTS ${QT_WINDEPLOYQT})
+    # execute windeployqt in a tmp directory after build
+    if (QT_VERSION_MAJOR MATCHES "5")
+      # These options are not available with Qt6
+      set (WINDEPLOYQT_EXTRA_OPTIONS --no-webkit2 --no-angle)
+    endif ()
+
+    add_custom_command (TARGET ${PROJECT_NAME}
+      POST_BUILD
+      COMMAND ${CMAKE_COMMAND} -E remove_directory "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
+      COMMAND set PATH=${_qt_bin_dir}$<SEMICOLON>%PATH%
+      COMMAND "${QT_WINDEPLOYQT}"
+        --dir "${CMAKE_CURRENT_BINARY_DIR}/windeployqt"
+        --no-quick-import
+        --no-opengl-sw
+        --no-virtualkeyboard
+        --no-svg
+        ${WINDEPLOYQT_EXTRA_OPTIONS}
+        "$<TARGET_FILE:${PROJECT_NAME}>"
+      USES_TERMINAL
+    )
+
+    # copy deployment directory during installation
+    install (
+      DIRECTORY
+      "${CMAKE_CURRENT_BINARY_DIR}/windeployqt/"
+      DESTINATION .
+    )
+  endif ()
+endif ()
+
+if (APPLE AND CONFIG_INSTALL_QT)
+  get_target_property (_qt_qmake_location Qt${QT_VERSION_MAJOR}::qmake IMPORTED_LOCATION)
+  get_filename_component (_qt_bin_dir "${_qt_qmake_location}" DIRECTORY)
+  find_program(QT_MACDEPLOYQT macdeployqt HINTS "${_qt_bin_dir}")
+
+  if (EXISTS ${QT_MACDEPLOYQT})
+    add_custom_command (TARGET ${PROJECT_NAME}
+      POST_BUILD
+      COMMAND "${QT_MACDEPLOYQT}" "$<TARGET_FILE_DIR:${PROJECT_NAME}>/../.."
+      USES_TERMINAL
+    )
+  endif ()
+endif ()
