=== debian/changelog ===
qjackctl (0.9.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Nov 2021 11:31:10 -0500

qjackctl (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 10 Oct 2021 21:36:08 +0200
