=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT=qt5

%:
	dh $@ -Scmake --disable-qt6

override_dh_clean:
	dh_clean --exclude=qjackctl.pro

override_dh_strip:
	dh_strip --no-automatic-dbgsym
