=== debian/changelog ===
qjackctl (0.9.6-1) unstable; urgency=medium

  * New upstream version 0.9.6
  * Remove hardening patch, autotools build system has been removed
  * d/copyright: Appdata file has been renamed
  * Update d/copyright years
  * Update d/lintian-overrides

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 13 Jan 2022 16:07:03 +0100
