=== debian/control ===
--- 
+++ 
@@ -8,14 +8,16 @@
  Jaromír Mikeš <mira.mikes@seznam.cz>,
  Free Ekanayaka <freee@debian.org>
 Build-Depends:
+ cmake,
  debhelper-compat (= 13),
  libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libjack-dev,
  qtbase5-dev,
+ qttools5-dev,
  qttools5-dev-tools,
  libqt5x11extras5-dev,
  libx11-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://qjackctl.sourceforge.io
 Vcs-Git: https://salsa.debian.org/multimedia-team/qjackctl.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/qjackctl
