=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,3 @@
 
 override_dh_clean:
 	dh_clean --exclude=qjackctl.pro
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
