=== debian/watch ===
version=4
https://sf.net/qjackctl/qjackctl-(.+)\.tar\.gz
